/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package net.metadiversity.diversity.navigator.hibernate.bsm;

import java.io.Serializable;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class ApplicationSearchSelectionStringPK implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3258410633954144304L;

    /** identifier field */
    private String userName;

    /** identifier field */
    private String sqlstringIdentifier;

    /** full constructor */
    public ApplicationSearchSelectionStringPK(String userName, String sqlstringIdentifier) {
        this.userName = userName;
        this.sqlstringIdentifier = sqlstringIdentifier;
    }

    /** default constructor */
    public ApplicationSearchSelectionStringPK() {
    }

    /** 
     *                @hibernate.property
     *                 column="UserName"
     *                 length="50"
     *             
     */
    public String getUserName() {
        return this.userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    /** 
     *                @hibernate.property
     *                 column="SQLStringIdentifier"
     *                 length="50"
     *             
     */
    public String getSqlstringIdentifier() {
        return this.sqlstringIdentifier;
    }

    public void setSqlstringIdentifier(String sqlstringIdentifier) {
        this.sqlstringIdentifier = sqlstringIdentifier;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("userName", getUserName())
            .append("sqlstringIdentifier", getSqlstringIdentifier())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof ApplicationSearchSelectionStringPK) ) return false;
        ApplicationSearchSelectionStringPK castOther = (ApplicationSearchSelectionStringPK) other;
        return new EqualsBuilder()
            .append(this.getUserName(), castOther.getUserName())
            .append(this.getSqlstringIdentifier(), castOther.getSqlstringIdentifier())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getUserName())
            .append(getSqlstringIdentifier())
            .toHashCode();
    }

}
