/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import java.util.Set;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class LocalisationSystemType implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3256726173617763641L;

    /** identifier field */
    private Integer localisationSystemTypeId;

    /** persistent field */
    private String localisationSystemType;

    /** persistent field */
    private String localisationSystemGroup;

    /** persistent field */
    private Set localisationSystems;

    /** full constructor */
    public LocalisationSystemType(Integer localisationSystemTypeId, String localisationSystemType, String localisationSystemGroup, Set localisationSystems) {
        this.localisationSystemTypeId = localisationSystemTypeId;
        this.localisationSystemType = localisationSystemType;
        this.localisationSystemGroup = localisationSystemGroup;
        this.localisationSystems = localisationSystems;
    }

    /** default constructor */
    public LocalisationSystemType() {
    }

    public Integer getLocalisationSystemTypeId() {
        return this.localisationSystemTypeId;
    }

    public void setLocalisationSystemTypeId(Integer localisationSystemTypeId) {
        this.localisationSystemTypeId = localisationSystemTypeId;
    }

    public String getLocalisationSystemType() {
        return this.localisationSystemType;
    }

    public void setLocalisationSystemType(String localisationSystemType) {
        this.localisationSystemType = localisationSystemType;
    }

    public String getLocalisationSystemGroup() {
        return this.localisationSystemGroup;
    }

    public void setLocalisationSystemGroup(String localisationSystemGroup) {
        this.localisationSystemGroup = localisationSystemGroup;
    }

    public Set getLocalisationSystems() {
        return this.localisationSystems;
    }

    public void setLocalisationSystems(Set localisationSystems) {
        this.localisationSystems = localisationSystems;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("localisationSystemTypeId", getLocalisationSystemTypeId())
            .toString();
    }

}
