/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*
 * RowChange.java
 *
 * Created on January 17, 2002, 4:27 PM
 */

package net.metadiversity.diversity.navigator.table;

import org.apache.log4j.Logger;

/**
 *
 * @author  didi
 */
public class RowChange 
{
    static Logger logger = Logger.getLogger( RowChange.class.getName() );
    
    static final int UNCHANGED      = 0;
    static final int NEW_COLUMN     = 1;
    static final int CHANGED_COLUMN = 2;
    
    public int ChangeType;
    
    public RowChange() 
    {
        this.ChangeType = UNCHANGED;
    }
    public RowChange( int ChangeType ) 
    {
        this.ChangeType = ChangeType;
    }
}