/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*
 * TestApplet.java
 *
 * Created on 11. Juli 2002, 20:02
 */

package net.metadiversity.diversity.navigator.applet;

// import org.w3c.dom.*;                // Core DOM classes
// import org.w3c.dom.traversal.*;      // TreeWalker and related DOM classes
// import org.apache.xerces.parsers.*;  // Apache Xerces parser classes
//import org.xml.sax.*;                // Xerces DOM parser uses some SAX classes
import javax.swing.*;                // Swing classes 
// import javax.swing.tree.*;           // TreeModel and related classes
// import javax.swing.event.*;          // Tree-related event classes
// import java.io.*;                    // For reading the input XML file
// import java.awt.*;
// import java.net.*;

import net.metadiversity.diversity.navigator.applet.Newick;

/**
 *
 * @author  didi
 */
public class TestApplet extends javax.swing.JApplet 
{
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3258416140119128116L;
    Newick nw = null;
    
    
    public TestApplet() 
    {
        
        getRootPane().putClientProperty( "defeatSystemEventQueueCheck", Boolean.TRUE );
        
        try
        {
            nw = new Newick();
        }
        catch( java.io.IOException ex ) 
        { 
            System.out.println( ex );
        }
        catch( org.xml.sax.SAXException ex )
        { 
            System.out.println( ex );
        }
    }
    
    public void start()
    {
        SwingUtilities.invokeLater( new Runnable() 
        {
            public void run()
            {
                System.out.println( getAppletInfo() );
                // getContentPane().add( nw.getTree() );
                getContentPane().add( new JScrollPane( nw.getTree() ) );
                getContentPane().setVisible( true );
                validate();
            }
        });
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() 
    {

    }
    
    
    // Variables declaration - do not modify
    // End of variables declaration
    
}
