/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/**
 * Title:        Checklist
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      University Bayreuth
 * @author Dieter Neubacher
 * @version 1.0
 */

package net.metadiversity.diversity.navigator.checklists;

import java.lang.String;

public class OrginalLineData
{
    // database entry
    long        line;
    long        checklistId;
    boolean     checked;
    String      text;
    String      comment;
    //


    public OrginalLineData( long line, long checklistId, boolean checked, String text, String comment )
    {
	this.line = line;
	this.checklistId = checklistId;
	this.checked = checked;
	this.text = text;
	this.comment = comment;
    }

    public long getLine(){ return line; };
    public long getChecklistId() { return checklistId; };
    public boolean checked() { return checked; };
    public String getText() { return text; };
    public String getComment() { return comment; };
}
