/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package net.metadiversity.diversity.navigator.collection;

/*
 * Frame.java
 *
 * Created on 16. Juni 2002, 18:40
 */

/**
 *
 * @author  didi
 */
public class DnCollectionGui_1 extends javax.swing.JInternalFrame 
{
    
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3977295504092444981L;

    /** Creates new form Frame */
    public DnCollectionGui_1() 
    {
        // super( "DiversityCollection" );
        // super( "DiversityCollection", true, true, true, true );
        initComponents();
    }
    private void initComponents() 
    {
        getContentPane().setLayout( new java.awt.BorderLayout() );
        
        // top
        
        TopTitle tt = new TopTitle();
        getContentPane().add( tt, java.awt.BorderLayout.NORTH );
        
        // center 
        
        javax.swing.JPanel f = new javax.swing.JPanel();
        f.setLayout( new java.awt.GridLayout( 5, 1, 5, 5 ) );
        DnDataRecordSelector drs1 = new DnDataRecordSelector();
        DnDataRecordSelector drs2 = new DnDataRecordSelector();
        
        drs1.setRecordMaxValue( 459  );
        drs2.setRecordMaxValue( 459 );
        
        DnIdentifieBox idb1 = new DnIdentifieBox( "Lichen" );
        DnIdentifieBox idb2 = new DnIdentifieBox( "Host" );
        
        IdentifieLine idl1 = new IdentifieLine();
        IdentifieLine idl2 = new IdentifieLine();
        
        //----------------------------------------------------------------------
        //----------------------------------------------------------------------
        javax.swing.JPanel top_3 = new javax.swing.JPanel();
        top_3.setLayout(  new java.awt.BorderLayout()  );
        
        
        javax.swing.JPanel line_1 = new javax.swing.JPanel();
        javax.swing.JLabel dateLabel = new javax.swing.JLabel( "Date:" );
        dateLabel.setHorizontalAlignment( javax.swing.SwingConstants.NORTH_EAST );
//        line_1.setLayout( new java.awt.GridBagLayout() );
        line_1.setLayout( new java.awt.FlowLayout() );

        Titel_2 t2 = new Titel_2();
        DateInput di = new DateInput();
        
        line_1.add( dateLabel, 0 );
        line_1.add( di, 1 );
        line_1.add( t2, 2 );
        //----------------------------------------------------------------------
        // 1
        //----------------------------------------------------------------------
        top_3.add( line_1, java.awt.BorderLayout.NORTH  );
        
        Locality l = new Locality();
        DnCollectingPerson cp = new DnCollectingPerson();
        top_3.add( l, java.awt.BorderLayout.WEST );
        top_3.add( cp, java.awt.BorderLayout.CENTER  );
        // top_3.setMaximumSize( new java.awt.Dimension( 1024, 40 ) );
       
        f.add( top_3 );
        //----------------------------------------------------------------------
        //----------------------------------------------------------------------
        
        javax.swing.JPanel line_3 = new javax.swing.JPanel();
        line_3.setLayout( new java.awt.BorderLayout() );
        DnScrollList sl = new DnScrollList();
        line_3.add( sl, java.awt.BorderLayout.WEST );
        
        DnScrollEdit se = new DnScrollEdit();
        line_3.add( se, java.awt.BorderLayout.EAST );

        javax.swing.JPanel line_center = new javax.swing.JPanel();
        line_center.setLayout( new java.awt.BorderLayout() );
        
        LocalisationSystem ls = new LocalisationSystem();
        line_center.add( ls, java.awt.BorderLayout.CENTER );

        Responsible r = new Responsible();
        line_center.add( r, java.awt.BorderLayout.EAST );
        line_center.add( drs1, java.awt.BorderLayout.SOUTH );  
        
        line_3.add( line_center, java.awt.BorderLayout.CENTER );        
        // line_3.setMaximumSize( new java.awt.Dimension( 1024, 40 ) );
        
        f.add( line_3 );
        //----------------------------------------------------------------------
        // Notes
        //----------------------------------------------------------------------
        
        
        DnStoreLocation sLoc = new DnStoreLocation();
        DnNotes         notes = new DnNotes();
        
        javax.swing.JPanel n = new javax.swing.JPanel();
        n.setLayout(  new java.awt.BorderLayout()  );
        n.add( sLoc, java.awt.BorderLayout.WEST );
        n.add( notes, java.awt.BorderLayout.CENTER );
        
        // n.setLayout( new java.awt.FlowLayout() );
        // n.add( sLoc );
        // n.add( notes );
        
        f.add( n );
        
        //----------------------------------------------------------------------
        //----------------------------------------------------------------------
        GridBagTest2 test = new GridBagTest2();
        f.add( test );
        //----------------------------------------------------------------------
        //----------------------------------------------------------------------
        javax.swing.JPanel line_2 = new javax.swing.JPanel();
        line_2.setLayout( new java.awt.GridLayout( 0, 3, 5, 5 ) );
        
        Project_1 p = new Project_1(); 
        line_2.add( idb1 );
        line_2.add( idb2 );
        line_2.add( p );
        f.add( line_2 );
        
        //----------------------------------------------------------------------
//        GridBagTest2 test = new GridBagTest2();
//        f.add( test );
        //----------------------------------------------------------------------

        getContentPane().add( f, java.awt.BorderLayout.CENTER );
        
        // bottom --------------------------------------------------------------
        
        getContentPane().add( drs2, java.awt.BorderLayout.SOUTH );

        //----------------------------------------------------------------------
/* ???        
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });
*/
        setSize( 200, 200 );
        pack();
    }
    
    /** Exit the Application */
    private void exitForm(java.awt.event.WindowEvent evt) 
    {
        System.exit(0);
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) 
    {
        DnFrame f = new DnFrame();
        f.setSize( 640, 480 );
        f.pack();
        f.setVisible( true );
    }    
}
