/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class CollectionLookupPK implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3257289136472797492L;

    /** identifier field */
    private String parameter;

    /** identifier field */
    private String value;

    /** full constructor */
    public CollectionLookupPK(String parameter, String value) {
        this.parameter = parameter;
        this.value = value;
    }

    /** default constructor */
    public CollectionLookupPK() {
    }

    public String getParameter() {
        return this.parameter;
    }

    public void setParameter(String parameter) {
        this.parameter = parameter;
    }

    public String getValue() {
        return this.value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("parameter", getParameter())
            .append("value", getValue())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof CollectionLookupPK) ) return false;
        CollectionLookupPK castOther = (CollectionLookupPK) other;
        return new EqualsBuilder()
            .append(this.getParameter(), castOther.getParameter())
            .append(this.getValue(), castOther.getValue())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getParameter())
            .append(getValue())
            .toHashCode();
    }

}
