/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class CollectionProject implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3257281427023409459L;

    /** identifier field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.CollectionProjectPK comp_id;

    /** nullable persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.CollectionSpecimen collectionSpecimen;

    /** full constructor */
    public CollectionProject(net.metadiversity.diversity.navigator.hibernate.ubt.collection.CollectionProjectPK comp_id, net.metadiversity.diversity.navigator.hibernate.ubt.collection.CollectionSpecimen collectionSpecimen) {
        this.comp_id = comp_id;
        this.collectionSpecimen = collectionSpecimen;
    }

    /** default constructor */
    public CollectionProject() {
    }

    /** minimal constructor */
    public CollectionProject(net.metadiversity.diversity.navigator.hibernate.ubt.collection.CollectionProjectPK comp_id) {
        this.comp_id = comp_id;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.CollectionProjectPK getComp_id() {
        return this.comp_id;
    }

    public void setComp_id(net.metadiversity.diversity.navigator.hibernate.ubt.collection.CollectionProjectPK comp_id) {
        this.comp_id = comp_id;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.CollectionSpecimen getCollectionSpecimen() {
        return this.collectionSpecimen;
    }

    public void setCollectionSpecimen(net.metadiversity.diversity.navigator.hibernate.ubt.collection.CollectionSpecimen collectionSpecimen) {
        this.collectionSpecimen = collectionSpecimen;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("comp_id", getComp_id())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof CollectionProject) ) return false;
        CollectionProject castOther = (CollectionProject) other;
        return new EqualsBuilder()
            .append(this.getComp_id(), castOther.getComp_id())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getComp_id())
            .toHashCode();
    }

}
