package net.metadiversity.diversity.navigator.hibernate.bsm;

import java.io.Serializable;
import org.apache.commons.lang.builder.ToStringBuilder;


/** 
 *        @hibernate.class
 *         table="_LiasMainAlteNamen"
 *     
*/
public class LiasMainAlteNamen implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 4050767082985960246L;

    /** identifier field */
    private Integer id;

    /** nullable persistent field */
    private String itemName;

    /** full constructor */
    public LiasMainAlteNamen(Integer id, String itemName) {
        this.id = id;
        this.itemName = itemName;
    }

    /** default constructor */
    public LiasMainAlteNamen() {
    }

    /** minimal constructor */
    public LiasMainAlteNamen(Integer id) {
        this.id = id;
    }

    /** 
     *            @hibernate.id
     *             generator-class="assigned"
     *             type="java.lang.Integer"
     *             column="ID"
     *         
     */
    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    /** 
     *            @hibernate.property
     *             column="ItemName"
     *             length="255"
     *         
     */
    public String getItemName() {
        return this.itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("id", getId())
            .toString();
    }

}
