package net.metadiversity.diversity.navigator.hibernate.bsm;

import java.io.Serializable;
import java.util.Date;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class TaxonAcceptedNameLogPK implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3979270265546748214L;

    /** identifier field */
    private String project;

    /** identifier field */
    private Integer nameId;

    /** identifier field */
    private Byte ignoreButKeepForReference;

    /** identifier field */
    private Date logDate;

    /** full constructor */
    public TaxonAcceptedNameLogPK(String project, Integer nameId, Byte ignoreButKeepForReference, Date logDate) {
        this.project = project;
        this.nameId = nameId;
        this.ignoreButKeepForReference = ignoreButKeepForReference;
        this.logDate = logDate;
    }

    /** default constructor */
    public TaxonAcceptedNameLogPK() {
    }

    /** 
     *                @hibernate.property
     *                 column="Project"
     *                 length="50"
     *             
     */
    public String getProject() {
        return this.project;
    }

    public void setProject(String project) {
        this.project = project;
    }

    /** 
     *                @hibernate.property
     *                 column="NameID"
     *                 length="10"
     *             
     */
    public Integer getNameId() {
        return this.nameId;
    }

    public void setNameId(Integer nameId) {
        this.nameId = nameId;
    }

    /** 
     *                @hibernate.property
     *                 column="IgnoreButKeepForReference"
     *                 length="3"
     *             
     */
    public Byte getIgnoreButKeepForReference() {
        return this.ignoreButKeepForReference;
    }

    public void setIgnoreButKeepForReference(Byte ignoreButKeepForReference) {
        this.ignoreButKeepForReference = ignoreButKeepForReference;
    }

    /** 
     *                @hibernate.property
     *                 column="LogDate"
     *                 length="23"
     *             
     */
    public Date getLogDate() {
        return this.logDate;
    }

    public void setLogDate(Date logDate) {
        this.logDate = logDate;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("project", getProject())
            .append("nameId", getNameId())
            .append("ignoreButKeepForReference", getIgnoreButKeepForReference())
            .append("logDate", getLogDate())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof TaxonAcceptedNameLogPK) ) return false;
        TaxonAcceptedNameLogPK castOther = (TaxonAcceptedNameLogPK) other;
        return new EqualsBuilder()
            .append(this.getProject(), castOther.getProject())
            .append(this.getNameId(), castOther.getNameId())
            .append(this.getIgnoreButKeepForReference(), castOther.getIgnoreButKeepForReference())
            .append(this.getLogDate(), castOther.getLogDate())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getProject())
            .append(getNameId())
            .append(getIgnoreButKeepForReference())
            .append(getLogDate())
            .toHashCode();
    }

}
