package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import java.util.Date;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class Identification implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3546924684105954105L;

    /** identifier field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationPK comp_id;

    /** nullable persistent field */
    private Date identificationDateCache;

    /** nullable persistent field */
    private Short identificationDay;

    /** nullable persistent field */
    private Short identificationMonth;

    /** nullable persistent field */
    private Short identificationYear;

    /** nullable persistent field */
    private String identificationDateSupplement;

    /** nullable persistent field */
    private String vernacularName;

    /** nullable persistent field */
    private String taxonomicName;

    /** nullable persistent field */
    private Integer nomId;

    /** nullable persistent field */
    private Integer nomThesaurusSignature;

    /** nullable persistent field */
    private Boolean islastIdentificationCache;

    /** nullable persistent field */
    private String literatureUsed;

    /** nullable persistent field */
    private String notes;

    /** nullable persistent field */
    private Boolean isexsiccataTaxon;

    /** nullable persistent field */
    private String responsibleName;

    /** nullable persistent field */
    private Integer logCreatedBy;

    /** nullable persistent field */
    private Date logCreatedWhen;

    /** nullable persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationUnit identificationUnit;

    /** persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollIdentificationCategoryEnum xcollIdentificationCategoryEnum;

    /** persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum xcollDateCategoryEnum;

    /** persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollIdentificationQualifierEnum xcollIdentificationQualifierEnum;

    /** full constructor */
    public Identification(net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationPK comp_id, Date identificationDateCache, Short identificationDay, Short identificationMonth, Short identificationYear, String identificationDateSupplement, String vernacularName, String taxonomicName, Integer nomId, Integer nomThesaurusSignature, Boolean islastIdentificationCache, String literatureUsed, String notes, Boolean isexsiccataTaxon, String responsibleName, Integer logCreatedBy, Date logCreatedWhen, net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationUnit identificationUnit, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollIdentificationCategoryEnum xcollIdentificationCategoryEnum, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum xcollDateCategoryEnum, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollIdentificationQualifierEnum xcollIdentificationQualifierEnum) {
        this.comp_id = comp_id;
        this.identificationDateCache = identificationDateCache;
        this.identificationDay = identificationDay;
        this.identificationMonth = identificationMonth;
        this.identificationYear = identificationYear;
        this.identificationDateSupplement = identificationDateSupplement;
        this.vernacularName = vernacularName;
        this.taxonomicName = taxonomicName;
        this.nomId = nomId;
        this.nomThesaurusSignature = nomThesaurusSignature;
        this.islastIdentificationCache = islastIdentificationCache;
        this.literatureUsed = literatureUsed;
        this.notes = notes;
        this.isexsiccataTaxon = isexsiccataTaxon;
        this.responsibleName = responsibleName;
        this.logCreatedBy = logCreatedBy;
        this.logCreatedWhen = logCreatedWhen;
        this.identificationUnit = identificationUnit;
        this.xcollIdentificationCategoryEnum = xcollIdentificationCategoryEnum;
        this.xcollDateCategoryEnum = xcollDateCategoryEnum;
        this.xcollIdentificationQualifierEnum = xcollIdentificationQualifierEnum;
    }

    /** default constructor */
    public Identification() {
    }

    /** minimal constructor */
    public Identification(net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationPK comp_id, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollIdentificationCategoryEnum xcollIdentificationCategoryEnum, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum xcollDateCategoryEnum, net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollIdentificationQualifierEnum xcollIdentificationQualifierEnum) {
        this.comp_id = comp_id;
        this.xcollIdentificationCategoryEnum = xcollIdentificationCategoryEnum;
        this.xcollDateCategoryEnum = xcollDateCategoryEnum;
        this.xcollIdentificationQualifierEnum = xcollIdentificationQualifierEnum;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationPK getComp_id() {
        return this.comp_id;
    }

    public void setComp_id(net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationPK comp_id) {
        this.comp_id = comp_id;
    }

    public Date getIdentificationDateCache() {
        return this.identificationDateCache;
    }

    public void setIdentificationDateCache(Date identificationDateCache) {
        this.identificationDateCache = identificationDateCache;
    }

    public Short getIdentificationDay() {
        return this.identificationDay;
    }

    public void setIdentificationDay(Short identificationDay) {
        this.identificationDay = identificationDay;
    }

    public Short getIdentificationMonth() {
        return this.identificationMonth;
    }

    public void setIdentificationMonth(Short identificationMonth) {
        this.identificationMonth = identificationMonth;
    }

    public Short getIdentificationYear() {
        return this.identificationYear;
    }

    public void setIdentificationYear(Short identificationYear) {
        this.identificationYear = identificationYear;
    }

    public String getIdentificationDateSupplement() {
        return this.identificationDateSupplement;
    }

    public void setIdentificationDateSupplement(String identificationDateSupplement) {
        this.identificationDateSupplement = identificationDateSupplement;
    }

    public String getVernacularName() {
        return this.vernacularName;
    }

    public void setVernacularName(String vernacularName) {
        this.vernacularName = vernacularName;
    }

    public String getTaxonomicName() {
        return this.taxonomicName;
    }

    public void setTaxonomicName(String taxonomicName) {
        this.taxonomicName = taxonomicName;
    }

    public Integer getNomId() {
        return this.nomId;
    }

    public void setNomId(Integer nomId) {
        this.nomId = nomId;
    }

    public Integer getNomThesaurusSignature() {
        return this.nomThesaurusSignature;
    }

    public void setNomThesaurusSignature(Integer nomThesaurusSignature) {
        this.nomThesaurusSignature = nomThesaurusSignature;
    }

    public Boolean getIslastIdentificationCache() {
        return this.islastIdentificationCache;
    }

    public void setIslastIdentificationCache(Boolean islastIdentificationCache) {
        this.islastIdentificationCache = islastIdentificationCache;
    }

    public String getLiteratureUsed() {
        return this.literatureUsed;
    }

    public void setLiteratureUsed(String literatureUsed) {
        this.literatureUsed = literatureUsed;
    }

    public String getNotes() {
        return this.notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public Boolean getIsexsiccataTaxon() {
        return this.isexsiccataTaxon;
    }

    public void setIsexsiccataTaxon(Boolean isexsiccataTaxon) {
        this.isexsiccataTaxon = isexsiccataTaxon;
    }

    public String getResponsibleName() {
        return this.responsibleName;
    }

    public void setResponsibleName(String responsibleName) {
        this.responsibleName = responsibleName;
    }

    public Integer getLogCreatedBy() {
        return this.logCreatedBy;
    }

    public void setLogCreatedBy(Integer logCreatedBy) {
        this.logCreatedBy = logCreatedBy;
    }

    public Date getLogCreatedWhen() {
        return this.logCreatedWhen;
    }

    public void setLogCreatedWhen(Date logCreatedWhen) {
        this.logCreatedWhen = logCreatedWhen;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationUnit getIdentificationUnit() {
        return this.identificationUnit;
    }

    public void setIdentificationUnit(net.metadiversity.diversity.navigator.hibernate.ubt.collection.IdentificationUnit identificationUnit) {
        this.identificationUnit = identificationUnit;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollIdentificationCategoryEnum getXcollIdentificationCategoryEnum() {
        return this.xcollIdentificationCategoryEnum;
    }

    public void setXcollIdentificationCategoryEnum(net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollIdentificationCategoryEnum xcollIdentificationCategoryEnum) {
        this.xcollIdentificationCategoryEnum = xcollIdentificationCategoryEnum;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum getXcollDateCategoryEnum() {
        return this.xcollDateCategoryEnum;
    }

    public void setXcollDateCategoryEnum(net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollDateCategoryEnum xcollDateCategoryEnum) {
        this.xcollDateCategoryEnum = xcollDateCategoryEnum;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollIdentificationQualifierEnum getXcollIdentificationQualifierEnum() {
        return this.xcollIdentificationQualifierEnum;
    }

    public void setXcollIdentificationQualifierEnum(net.metadiversity.diversity.navigator.hibernate.ubt.collection.XcollIdentificationQualifierEnum xcollIdentificationQualifierEnum) {
        this.xcollIdentificationQualifierEnum = xcollIdentificationQualifierEnum;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("comp_id", getComp_id())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof Identification) ) return false;
        Identification castOther = (Identification) other;
        return new EqualsBuilder()
            .append(this.getComp_id(), castOther.getComp_id())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getComp_id())
            .toHashCode();
    }

}
