package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import java.util.Set;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class LocalisationSystem implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3257853168724488502L;

    /** identifier field */
    private Integer localisationSystemId;

    /** persistent field */
    private String localisationSystemName;

    /** nullable persistent field */
    private String interfaceDefinitions;

    /** nullable persistent field */
    private String description;

    /** nullable persistent field */
    private String measurementUnit;

    /** nullable persistent field */
    private String accuracyOfLocalisation;

    /** nullable persistent field */
    private String parsingMethod;

    /** persistent field */
    private boolean enabled;

    /** persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.LocalisationSystemType localisationSystemType;

    /** persistent field */
    private Set collectionGeographies;

    /** full constructor */
    public LocalisationSystem(Integer localisationSystemId, String localisationSystemName, String interfaceDefinitions, String description, String measurementUnit, String accuracyOfLocalisation, String parsingMethod, boolean enabled, net.metadiversity.diversity.navigator.hibernate.ubt.collection.LocalisationSystemType localisationSystemType, Set collectionGeographies) {
        this.localisationSystemId = localisationSystemId;
        this.localisationSystemName = localisationSystemName;
        this.interfaceDefinitions = interfaceDefinitions;
        this.description = description;
        this.measurementUnit = measurementUnit;
        this.accuracyOfLocalisation = accuracyOfLocalisation;
        this.parsingMethod = parsingMethod;
        this.enabled = enabled;
        this.localisationSystemType = localisationSystemType;
        this.collectionGeographies = collectionGeographies;
    }

    /** default constructor */
    public LocalisationSystem() {
    }

    /** minimal constructor */
    public LocalisationSystem(Integer localisationSystemId, String localisationSystemName, boolean enabled, net.metadiversity.diversity.navigator.hibernate.ubt.collection.LocalisationSystemType localisationSystemType, Set collectionGeographies) {
        this.localisationSystemId = localisationSystemId;
        this.localisationSystemName = localisationSystemName;
        this.enabled = enabled;
        this.localisationSystemType = localisationSystemType;
        this.collectionGeographies = collectionGeographies;
    }

    public Integer getLocalisationSystemId() {
        return this.localisationSystemId;
    }

    public void setLocalisationSystemId(Integer localisationSystemId) {
        this.localisationSystemId = localisationSystemId;
    }

    public String getLocalisationSystemName() {
        return this.localisationSystemName;
    }

    public void setLocalisationSystemName(String localisationSystemName) {
        this.localisationSystemName = localisationSystemName;
    }

    public String getInterfaceDefinitions() {
        return this.interfaceDefinitions;
    }

    public void setInterfaceDefinitions(String interfaceDefinitions) {
        this.interfaceDefinitions = interfaceDefinitions;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getMeasurementUnit() {
        return this.measurementUnit;
    }

    public void setMeasurementUnit(String measurementUnit) {
        this.measurementUnit = measurementUnit;
    }

    public String getAccuracyOfLocalisation() {
        return this.accuracyOfLocalisation;
    }

    public void setAccuracyOfLocalisation(String accuracyOfLocalisation) {
        this.accuracyOfLocalisation = accuracyOfLocalisation;
    }

    public String getParsingMethod() {
        return this.parsingMethod;
    }

    public void setParsingMethod(String parsingMethod) {
        this.parsingMethod = parsingMethod;
    }

    public boolean isEnabled() {
        return this.enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.LocalisationSystemType getLocalisationSystemType() {
        return this.localisationSystemType;
    }

    public void setLocalisationSystemType(net.metadiversity.diversity.navigator.hibernate.ubt.collection.LocalisationSystemType localisationSystemType) {
        this.localisationSystemType = localisationSystemType;
    }

    public Set getCollectionGeographies() {
        return this.collectionGeographies;
    }

    public void setCollectionGeographies(Set collectionGeographies) {
        this.collectionGeographies = collectionGeographies;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("localisationSystemId", getLocalisationSystemId())
            .toString();
    }

}
