/*
 * DnDbProject.java
 *
 * Created on 29. Juli 2003, 12:34
 */

package net.metadiversity.diversity.navigator.project;

import org.apache.log4j.Logger;

/**
 *
 * @author  Dieter Neubacher
 */
public class DnDbProject
{
    static Logger logger = Logger.getLogger( DnDbProject.class.getName() );
    
    private java.lang.String    projectName;
    // ??? private java.lang.String    description; 
    
    private java.util.LinkedHashMap dnDbGroups;
    
    /** Creates a new instance of DnDbProject */
    public DnDbProject( java.lang.String projectName )
    {
        dnDbGroups = new java.util.LinkedHashMap();
        this.projectName    = projectName;
    }
    public java.lang.String getName()
    {
        return projectName;
    }
        
    public void addDnGroup( DnDbGroup dbGroup )
    {
        dnDbGroups.put( dbGroup.getName(), dbGroup );
        return;
    }
    
    public DnDbGroup getDnGroupByName( java.lang.String dnDbGroup )
    {
        return ( DnDbGroup ) dnDbGroups.get( dnDbGroup );
    }    
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public int getChildCount()
    {
        return dnDbGroups.size();
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public java.lang.String getChild( int i )
    {
        java.util.Iterator iter = dnDbGroups.keySet().iterator();
        int ii = 0;
        Object obj = null;
        while( iter.hasNext() )
        {
            obj = iter.next();
            if( i == ii )
            {
                break;
            }
            ii++;
        }
        return obj.toString();
    }    
}
