package net.metadiversity.diversity.navikey.bo;

/**
 *
 * BasicItem.java
 *
 * @author Noel Cross
 * @author Michael Bartley
 * @author Dieter Neubacher
 */

public class BasicItem implements java.lang.Comparable, java.util.Comparator
{
    protected Integer   id;
    protected String    name;    
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public BasicItem()
    {
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public void setId(Object id)
    {
        if (id instanceof Integer)
        {
            this.id = (Integer)id;
        }
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public void setName(String name)
    {
        this.name = name;
    }    
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public Integer getId()
    { 
        return id;
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public String getName()
    { 
        return name;
    }
    //--------------------------------------------------------------------------
    // implement java.lang.Comparable
    //--------------------------------------------------------------------------
    public int compareTo( Object obj )
    {
        return id.compareTo( ((BasicItem) obj).getId() );
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public int compare(Object obj, Object obj1)    
    {
        return (((BasicItem) obj).id).compareTo( ((BasicItem) obj1).id );        
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public String toString()
    {
        return id + ": " + name;
    }
}
