package net.metadiversity.diversity.navikey.bo;


/**
 * The class is used by Attributes within Items to allow a pairing of
 * States and comments.
 *
 * @author Michael Bartley, Noel Cross
 * @author Dieter Neubacher
*/
public class CommentedState
{
    State s;
    String comment;
    
    public CommentedState(State s, String comment)
    {
        this.s = s;
        this.comment = comment;
    }
    public State getState()
    {
        return s;
    }
    public String getComment()
    {
        return comment;
    }
    public String toString()
    {
        return(s + "" + comment);
    }
    public void print()
    {
        System.out.println(toString());
    }
}
