/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*
 * DbGetty.java
 *
 * Created on December 14, 2001, 11:26 AM
 */

package net.metadiversity.diversity.navigator.checklists.database;

//import java.net.URL;          // F�r Datenbank-URL
import java.sql.*;            // JDBC

/**
 *
 * @author  didi
 * @version 
 */
public class DbGetty extends DbConnection
{
    /** Creates new DbGetty */
    public DbGetty() 
    {
        super();        
    }
    public DbGetty( String url, String database, String user, String pass)
    {
        super( url, database, user, pass );
    }
    
    public boolean testId( String id )
    {
        boolean ret = false;
        String cmd = "SELECT geog_key FROM geog_main WHERE geog_key = " + id.trim() + ";";   
	try
	{
	    Connection con = connect();
	    Statement stmt = con.createStatement();
	    ResultSet rs = stmt.executeQuery( cmd );
	    while( rs.next() )
	    {
                ret = true;
		// System.out.println( rs.getString( 1 ) );
	    }
	    stmt.close();
	    con.close();
            rs.close();
	}
	catch( Exception ex )
	{
	    System.out.println( cmd );
	    System.out.println( "ex: " + ex.getMessage());
	    if (ex instanceof SQLException)
	    {
		String err = ((SQLException)ex).getSQLState();
		if ( err != null )
		{
		    System.out.println( "error: " + err );
		}
		SQLException SQLex;
		while ( ( SQLex = ((SQLException)ex).getNextException() ) != null )
		{
		    System.out.println( "sql exception " + SQLex.getSQLState());
		}
	    }
	}
        return ret;
    }
}
