/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*
 * DnUserSelector.java
 *
 * Created on 4. Juli 2002, 10:43
 */

package net.metadiversity.diversity.navigator.gui;

import java.awt.event.*;
import java.util.*;
/**
 *
 * @author  didi
 */
public class DnUserSelector_1 extends javax.swing.JPanel implements ActionListener 
{
    
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3977867284364735286L;
    Hashtable entries;


    public void actionPerformed( ActionEvent e )
    {  
        System.out.println( "Action: " + e.toString() );
    }
     
    /** Creates new form DnUserSelector */
    public DnUserSelector_1() 
    {
	entries = new Hashtable();
        initComponents();
	setTestValues();

    }
    public void setTestValues()
    {
	put( "1",      "111" );
	put( "2",      "222" );
	put( "3",      "333" );
	put( "4",      "444" );
	put( "5",      "555" );
	put( "6",      "666" );
	put( "7",      "777" );
	put( "8",      "888" );
	put( "9",      "999" );
	put( "didi",   "Dieter Neubacher" );
	put( "akiko",  "Kikkawa" );
        
   }

    public void put( String shortName, String fullName )
    {
	entries.put( shortName, fullName );
    }
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() 
    {
        jComboBox1 = new javax.swing.JComboBox();

        setLayout(new java.awt.BorderLayout());

        jComboBox1.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "1", "12", "dieter", "didi", "Neubacher", "Akiko", "Kikkawa", "Wu", "Hanqian" }));
        jComboBox1.setToolTipText("tip");
        jComboBox1.setEditable(true);
        jComboBox1.setAction(jComboBox1.getAction());
        jComboBox1.setName("componentName");
        jComboBox1.setKeySelectionManager( new myKeySelectionManager() );

        jComboBox1.addActionListener( this );
	/*
        jComboBox1.addActionListener(new java.awt.event.ActionListener() 
	{
            public void actionPerformed(java.awt.event.ActionEvent evt) 
	    {
                jComboBox1ActionPerformed(evt);
            }
        });
	*/
        jComboBox1.addItemListener(new java.awt.event.ItemListener() 
	{
            public void itemStateChanged(java.awt.event.ItemEvent evt) 
	    {
                jComboBox1ItemStateChanged(evt);
            }
        });

        jComboBox1.addKeyListener(new java.awt.event.KeyAdapter() 
	{
            public void keyReleased(java.awt.event.KeyEvent evt) {
                jComboBox1KeyReleased(evt);
            }
            public void keyPressed(java.awt.event.KeyEvent evt) {
                jComboBox1KeyPressed(evt);
            }
            public void keyTyped(java.awt.event.KeyEvent evt) {
                jComboBox1KeyTyped(evt);
            }
        });

        jComboBox1.addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jComboBox1PropertyChange(evt);
            }
        });

        add(jComboBox1, java.awt.BorderLayout.CENTER);

    }

    private void jComboBox1ItemStateChanged(java.awt.event.ItemEvent evt) 
    {
        // Add your handling code here:
        System.out.println( "ItemStateChanged " + evt.toString()  );

    }

    private void jComboBox1KeyTyped( java.awt.event.KeyEvent evt ) 
    {
        // Add your handling code here:
        System.out.println( "KeyTyped " + evt.toString()  );

    }

    private void jComboBox1PropertyChange( java.beans.PropertyChangeEvent evt ) 
    {
        // Add your handling code here:
        System.out.println( "PropertyChange " + evt.toString()  );
    }

    private void jComboBox1ActionPerformed( java.awt.event.ActionEvent evt ) 
    {
        // Add your handling code here:
        System.out.println( "ActionPerformd " + evt.toString()  );
    }

    private void jComboBox1KeyPressed( java.awt.event.KeyEvent evt ) 
    {
        // Add your handling code here:            
        System.out.println( "Pressed " + evt.toString()  );
    }

    private void jComboBox1KeyReleased( java.awt.event.KeyEvent evt ) 
    {
        // Add your handling code here:
	System.out.println( "Released " + evt.toString()  );
    }
    
    
    private javax.swing.JComboBox jComboBox1;
 

    class myKeySelectionManager implements javax.swing.JComboBox.KeySelectionManager
    {
        public int selectionForKey( char aKey, javax.swing.ComboBoxModel aModel )
        {
            System.out.println( "Key: " + aKey );
            return -1;
        }
    }
    
    public static void main( String args[] )
    {
        javax.swing.JFrame f = new javax.swing.JFrame( "test" );
        DnUserSelector dus = new DnUserSelector();
        
        // f.addWindowListener( new BasicWindowMonitor() );
	//        f.getContentPane().add( dus );

	f.setContentPane( dus );
        f.setSize( 100,100 );
        f.pack();
        f.setVisible( true );
    }
}
