/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package net.metadiversity.diversity.navigator.hibernate.bsm;

import java.io.Serializable;
import java.util.Date;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class TaxonNameLogPK implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3256999960670319664L;

    /** identifier field */
    private Integer nameId;

    /** identifier field */
    private Date logDate;

    /** full constructor */
    public TaxonNameLogPK(Integer nameId, Date logDate) {
        this.nameId = nameId;
        this.logDate = logDate;
    }

    /** default constructor */
    public TaxonNameLogPK() {
    }

    /** 
     *                @hibernate.property
     *                 column="NameID"
     *                 length="10"
     *             
     */
    public Integer getNameId() {
        return this.nameId;
    }

    public void setNameId(Integer nameId) {
        this.nameId = nameId;
    }

    /** 
     *                @hibernate.property
     *                 column="LogDate"
     *                 length="23"
     *             
     */
    public Date getLogDate() {
        return this.logDate;
    }

    public void setLogDate(Date logDate) {
        this.logDate = logDate;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("nameId", getNameId())
            .append("logDate", getLogDate())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof TaxonNameLogPK) ) return false;
        TaxonNameLogPK castOther = (TaxonNameLogPK) other;
        return new EqualsBuilder()
            .append(this.getNameId(), castOther.getNameId())
            .append(this.getLogDate(), castOther.getLogDate())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getNameId())
            .append(getLogDate())
            .toHashCode();
    }

}
