/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class PgaDiagram implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3978706177477457977L;

    /** identifier field */
    private String diagramname;

    /** nullable persistent field */
    private String diagramtables;

    /** nullable persistent field */
    private String diagramlinks;

    /** full constructor */
    public PgaDiagram(String diagramname, String diagramtables, String diagramlinks) {
        this.diagramname = diagramname;
        this.diagramtables = diagramtables;
        this.diagramlinks = diagramlinks;
    }

    /** default constructor */
    public PgaDiagram() {
    }

    /** minimal constructor */
    public PgaDiagram(String diagramname) {
        this.diagramname = diagramname;
    }

    public String getDiagramname() {
        return this.diagramname;
    }

    public void setDiagramname(String diagramname) {
        this.diagramname = diagramname;
    }

    public String getDiagramtables() {
        return this.diagramtables;
    }

    public void setDiagramtables(String diagramtables) {
        this.diagramtables = diagramtables;
    }

    public String getDiagramlinks() {
        return this.diagramlinks;
    }

    public void setDiagramlinks(String diagramlinks) {
        this.diagramlinks = diagramlinks;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("diagramname", getDiagramname())
            .toString();
    }

}
