/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*
 * SystemProperties.java
 *
 * Created on 20. M�rz 2003, 16:44
 */

package net.metadiversity.diversity.navigator.about;


import org.apache.log4j.Logger;
/**
 *
 * @author  didi
 */
public class SystemPropertiesTable extends javax.swing.JPanel
{
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3257854259579205176L;

    static Logger logger = Logger.getLogger( SystemPropertiesTable.class.getName() );
    
    private javax.swing.JScrollPane jScrollPane;
    private javax.swing.JTable jTable;    
    
    /** Creates new form SystemProperties */
    public SystemPropertiesTable()
    {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     */
    private void initComponents()
    {
        jScrollPane = new javax.swing.JScrollPane();
        jTable      = new javax.swing.JTable();
        java.util.Vector data = new java.util.Vector();
        java.util.Vector name = new java.util.Vector();

        name.add( "Property" );
        name.add( "Value" );
        // Show all System properies
        
        java.util.Properties properties = System.getProperties();
        
        
        for( java.util.Enumeration e = properties.propertyNames(); e.hasMoreElements(); ) 
        {
            String n = (String) e.nextElement();
            java.util.Vector v = new java.util.Vector();
            v.add( n );
            v.add( System.getProperty( n ) );
            data.add( v );
        }
        setLayout(new java.awt.BorderLayout());

        SystemPropertiesTableModel model = new SystemPropertiesTableModel();
        jTable.setModel( model );
        jScrollPane.setViewportView( jTable );
        jScrollPane.createHorizontalScrollBar();
        add( jScrollPane, java.awt.BorderLayout.CENTER );
    }        
}
