/*
 * FileNameWithExtention.java
 *
 * Created on January 10, 2002, 2:14 PM
 */

package net.metadiversity.diversity.navigator.checklists;

/**
 *
 * @author  didi
 */
public class ChecklistFileName 
{

    private String filename;
    
    private String xmlExtention = ".import.xml";    
    private String htmlExtention = ".html";    
    private String defaultExtention = ".xml";
    
    /** Creates a new instance of FileNameWithExtention */
    public ChecklistFileName() 
    {
    }
    
    public ChecklistFileName(String s) 
    {
        setFilename( s );
    }

    protected Object clone() throws java.lang.CloneNotSupportedException 
    {
        Object retValue;
        
        retValue = super.clone();
        return retValue;
    }
    
    public boolean equals(Object obj) 
    {
        boolean retValue;
        
        retValue = super.equals(obj);
        return retValue;
    }
        
    public int hashCode() 
    {
        int retValue;
        
        retValue = super.hashCode();
        return retValue;
    }
    
    public String toString() 
    {
        String retValue;
        
        retValue = super.toString();
        return retValue;
    }
    
    public String getXmlExtention() 
    {
        return xmlExtention;
    }
    
    public String getHtmlExtention() 
    {
        return htmlExtention;
    }
    
    public String getDefaultExtention() 
    {
        return defaultExtention;
    }
    
    public String getXmlFilename() 
    {
        return filename + xmlExtention;
    }
    
    public String getHtmlFilename() 
    {
        return filename + htmlExtention;        
    }
    
    public String getDefaultFilename() 
    {
        return filename + defaultExtention;        
    }
    
    public String getFilename() 
    {
        return filename;        
    }
    
    public boolean setFilename( String s ) 
    {
        if( s.endsWith( defaultExtention ) )
        {
            filename = s.substring( 0, s.lastIndexOf( defaultExtention ) );
            return true;
        }
        else if( s.endsWith( xmlExtention ) )
        {
            filename = s.substring( 0, s.lastIndexOf( xmlExtention ) );
            return true;
        }
        else if( s.endsWith( htmlExtention ) )
        {
            filename = s.substring( 0, s.lastIndexOf( htmlExtention ) );
            return true;
        }        
        return false;
    }
    
}
