/**
 * Title:        Checklist
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      University Bayreuth
 * @author Dieter Neubacher
 * @version 1.0
 */

package net.metadiversity.diversity.navigator.checklists;

public class InputRankFlags extends javax.swing.JPanel
{
/**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3760840160291467321L;
    
private int fieldCount;
private int selected;
private javax.swing.JRadioButton [] radioButton;
private javax.swing.ButtonGroup group;

    public InputRankFlags()
    {
        initComponents();
    }

    public void initComponents()
    {
        fieldCount = 10;
        radioButton = new javax.swing.JRadioButton[ fieldCount ];
        group       = new javax.swing.ButtonGroup();

        setLayout( new java.awt.GridLayout( 2, fieldCount / 2 ) );

        String [] labelText = { "", "unkown", "genus", "species", "subspecies",
                                "", "",       "var.",      "form",""                                         };

        add( new javax.swing.JLabel( "taxonomic rank :") );

        for( int i = 1; i < fieldCount; i++ )
        {
            if( labelText[ i ].length() == 0 )
            {
                add( new javax.swing.JLabel() );
            }
            else
            {
                radioButton[ i ] = new javax.swing.JRadioButton( labelText[ i ] ) ;
                group.add( radioButton[ i ] );
                add( radioButton[ i ] );

	        radioButton[ i ].addKeyListener( new java.awt.event.KeyAdapter ()
	        {
	            public void keyReleased( java.awt.event.KeyEvent evt )
	            {
                        System.out.println( evt );
                        System.out.println( getParent() );
                        set();
	            }
	        }
	        );
                radioButton[ i ].addActionListener (new java.awt.event.ActionListener ()
                {
                    public void actionPerformed (java.awt.event.ActionEvent evt)
                    {
                        System.out.println( evt );
                        // System.out.println( group.getSelection() );
                        set();
                    }
                }
                );
            }
        }
    }
    private void set()
    {
                        for( int i = 0; i < fieldCount; i++ )
                        {
                            if( radioButton[ i ] != null && radioButton[ i ].isSelected() )
                            {
                                System.out.println( "gefunden: " + i );
                                selected = i;
                            }
                        }
    }
}
