package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class CollectionProjectPK implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3257570594236479284L;

    /** identifier field */
    private Integer collectionSpecimenId;

    /** identifier field */
    private String diversityProject;

    /** full constructor */
    public CollectionProjectPK(Integer collectionSpecimenId, String diversityProject) {
        this.collectionSpecimenId = collectionSpecimenId;
        this.diversityProject = diversityProject;
    }

    /** default constructor */
    public CollectionProjectPK() {
    }

    public Integer getCollectionSpecimenId() {
        return this.collectionSpecimenId;
    }

    public void setCollectionSpecimenId(Integer collectionSpecimenId) {
        this.collectionSpecimenId = collectionSpecimenId;
    }

    public String getDiversityProject() {
        return this.diversityProject;
    }

    public void setDiversityProject(String diversityProject) {
        this.diversityProject = diversityProject;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("collectionSpecimenId", getCollectionSpecimenId())
            .append("diversityProject", getDiversityProject())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof CollectionProjectPK) ) return false;
        CollectionProjectPK castOther = (CollectionProjectPK) other;
        return new EqualsBuilder()
            .append(this.getCollectionSpecimenId(), castOther.getCollectionSpecimenId())
            .append(this.getDiversityProject(), castOther.getDiversityProject())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getCollectionSpecimenId())
            .append(getDiversityProject())
            .toHashCode();
    }

}
